package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招生计划对象 mall_accept_plan
 *
 * @author Lsm
 * @date 2023-10-19
 */
public class MallAcceptPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 招生计划id */
    private Long acceptPlanId;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    /** 学校名 */
    private String schoolName;

    /** 批次名 */
    private String batchName;

    /** 专业名称 */
    private String majorName;

    /** 录取原则 */
    private String ruleStr;

    /** 批次id */
    @Excel(name = "批次id")
    private Long batchId;

    /** 年份 */
    @Excel(name = "年份")
    private String planYear;

    /** 一级专业id */
    @Excel(name = "一级专业id")
    private Long majorId;

    /** 学科(0-文科,1-理科) */
    @Excel(name = "学科(0-文科,1-理科)")
    private Integer subjectType;

    /** 招生人数 */
    @Excel(name = "招生人数")
    private Integer acceptNum;

    /** 学费 */
    @Excel(name = "学费")
    private BigDecimal schoolPrice;

    /** 投档公式id */
    @Excel(name = "投档公式id")
    private Long acceptRuleId;

    /** 小分限制 */
    @Excel(name = "小分限制")
    private String littleScoreLimit;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private String delFlag;

    /** 排序 */
    private Integer sort;

    private Long linkId;

    /** 录取最低分 */
    private BigDecimal acceptLowest;

    public BigDecimal getAcceptLowest() {
        return acceptLowest;
    }

    public void setAcceptLowest(BigDecimal acceptLowest) {
        this.acceptLowest = acceptLowest;
    }

    public Long getLinkId() {
        return linkId;
    }

    public void setLinkId(Long linkId) {
        this.linkId = linkId;
    }

    public void setAcceptPlanId(Long acceptPlanId)
    {
        this.acceptPlanId = acceptPlanId;
    }

    public Long getAcceptPlanId()
    {
        return acceptPlanId;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setBatchId(Long batchId)
    {
        this.batchId = batchId;
    }

    public Long getBatchId()
    {
        return batchId;
    }
    public void setPlanYear(String planYear)
    {
        this.planYear = planYear;
    }

    public String getPlanYear()
    {
        return planYear;
    }
    public void setMajorId(Long majorId)
    {
        this.majorId = majorId;
    }

    public Long getMajorId()
    {
        return majorId;
    }
    public void setSubjectType(Integer subjectType)
    {
        this.subjectType = subjectType;
    }

    public Integer getSubjectType()
    {
        return subjectType;
    }
    public void setAcceptNum(Integer acceptNum)
    {
        this.acceptNum = acceptNum;
    }

    public Integer getAcceptNum()
    {
        return acceptNum;
    }
    public void setSchoolPrice(BigDecimal schoolPrice)
    {
        this.schoolPrice = schoolPrice;
    }

    public BigDecimal getSchoolPrice()
    {
        return schoolPrice;
    }
    public void setAcceptRuleId(Long acceptRuleId)
    {
        this.acceptRuleId = acceptRuleId;
    }

    public Long getAcceptRuleId()
    {
        return acceptRuleId;
    }
    public void setLittleScoreLimit(String littleScoreLimit)
    {
        this.littleScoreLimit = littleScoreLimit;
    }

    public String getLittleScoreLimit()
    {
        return littleScoreLimit;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getRuleStr() {
        return ruleStr;
    }

    public void setRuleStr(String ruleStr) {
        this.ruleStr = ruleStr;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("acceptPlanId", getAcceptPlanId())
            .append("schoolId", getSchoolId())
            .append("batchId", getBatchId())
            .append("planYear", getPlanYear())
            .append("majorId", getMajorId())
            .append("subjectType", getSubjectType())
            .append("acceptNum", getAcceptNum())
            .append("schoolPrice", getSchoolPrice())
            .append("acceptRuleId", getAcceptRuleId())
            .append("littleScoreLimit", getLittleScoreLimit())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .append("sort", getSort())
            .toString();
    }
}
